Subject: Re: [PATCH bpf-next v3 1/5] selftests/bpf: xsk selftests framework

From: Björn Töpel <[email-masked]>
Date: Thu, 26 Nov 2020 10:01:31 +0100

On 2020-11-26 07:44, Yonghong Song wrote:
[...]
> 
> What other configures I am missing?
> 
> BTW, I cherry-picked the following pick from bpf tree in this experiment.
>    commit e7f4a5919bf66e530e08ff352d9b78ed89574e6b (HEAD -> xsk)
>    Author: Björn Töpel <[email-masked]>
>    Date:   Mon Nov 23 18:56:00 2020 +0100
> 
>        net, xsk: Avoid taking multiple skbuff references
>

Hmm, I'm getting an oops, unless I cherry-pick:

36ccdf85829a ("net, xsk: Avoid taking multiple skbuff references")

*AND*

537cf4e3cc2f ("xsk: Fix umem cleanup bug at socket destruct")

from bpf/master.

Björn